Subject: Problem with tar & touch in b17.1 on NTFS file systems
From: [email-masked] (Mark Levine)

14 Mar 1997 11:14:20 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
X-Sender: [email-masked]
X-Mailer: Windows Eudora Light Version 1.5.4 (32)
Original-To: [email-masked]
Original-Sender: [email-masked]

I have been having the a common problem with both tar and touch.  I am
running Windows NT 4.0 with NTFS file systems.

The problem is all files extracted from a tar archive and all files that are
the subjet of a touch command have the file date set to 1969/12/31 with a
time in the range of around 19:00

Example (to file on NTFS partitions):

        touch -d 5/5/88 xx
        dir xx
        69/12/31  19:02         0  xx

        touch -d "5/5/88 12:34" yy
        dir yy
        69/12/31  18:58         0  yy

If I do the same to a FAT file system partition or to a Novell netware drive
the date seems to always be the current date and time.

Has anyone else seen this problem, or does it work for you?

I expect the problem is in some common library routine rather than in tar or
touch.

-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".